Package relaxngcc.datatype

# Class NoDefinitionException

java.lang.Object
java.lang.Throwable
java.lang.Exception
relaxngcc.datatype.NoDefinitionException

All Implemented Interfaces:
  `Serializable`

public class NoDefinitionException extends Exception
Signals undefined variable in a variable expansion process.

Author:
  Kohsuke Kawaguchi (kk@kohsuke.org)
See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`final Locator`
`locator`

## Constructor Summary

Constructors
Constructor
Description
`NoDefinitionException(String tagName, Locator _loc)`

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### locator

public final Locator locator

## Constructor Details

### NoDefinitionException

public NoDefinitionException(String tagName, Locator _loc)